#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2385937, "__platform_driver_register" },
	{ 0xbf0c6aa1, "iio_trigger_unregister" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x68c3a15c, "iio_trigger_free" },
	{ 0xc2e28b1e, "iio_trigger_poll" },
	{ 0xedfcfd8f, "platform_driver_unregister" },
	{ 0x6c9bbd48, "platform_get_resource" },
	{ 0xfce6016b, "__iio_trigger_alloc" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x16481cf8, "iio_trigger_register" },
	{ 0xd1005013, "_dev_err" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "industrialio");

